XMAHJONGG(6)

NAME
xmahjongg - X11R3 verion of the solitaire mahjongg game

SYNOPSIS
xmahjongg [ -b ### ] [ -n ### ] [ -r ] [ -s ] [ -d display ] [ -c ] [ -l file ] [ -p name@machine ] [ ... ] [ -p name@machine ]

DESCRIPTION
Mah jongg is an ancient chinese game usually played by four players with tiles similar to dominos. This is an X windows version for the solitaire game originally seen on the PC and later ported to SunView. It also has a new tournament option.

THEORY OF PLAY
The object of the game is to remove all the tiles from the board. Tiles are removed in by matching two identical tiles which have either an open left edge or open right edge. The only exception to this rule is that any open "flower" tile (bamboo, orchid, plum, or chrysanthemum) matches any other open "flower" tile and any open "season" tile (spring, summer, autumn, or winter) matches any other open "season" tile.

The display has two distinct areas: the playing field and the control field.

The bottom area is the playing field. To remove a pair of tiles, click a mouse button on a tile (which will light up) and then click a mouse button on the matching tile. At this point, both tiles will disappear from the board. If after selecting the first tile, you decide that you don't wish to play that tile, simply reclick the button on the tile.

The top area is the control field. The board number and the number of remaining tiles are on the left side of the board. The right side has some options for controlling the game. To select an option, click a mouse button on it. SAME Start the same game again. This option is disabled in tournament mode. NEW Start a new game. DONE Check to see if you missed any matches. When you think that you don't have any more matches left, clicking "DONE" will tell you the number of matches which you missed. If you missed some, you can continue play, but your score will not change. The "DONE" field stays high-lighted to show that you have already tried this option. QUIT Exit the game.

OPTIONS

-b  Start the game with board number ###. Board numbers range from 1 to 99999.

-d  Use the given display name instead of the current default.

-n  Number of games to play in tournament mode. See below.

-r  Reverse video mode.

-s  Setup mode. See below.

-c  Color mode based on tile type. Normally color is based on the level the piece is on.

-l  Use a different layout file. The default is the standard layout in the shape of a pyramid.

-p  Set up a tournament with the specified player on the specified machine.

TOURNAMENT MODE
Using the [ -p ] parameter starts a tournament. In this mode several players can compete on a series of boards. The players should agree in advance on a starting board number. The default tournament is three games, although this can be changed with the [ -n ] parameter. If another player clicks "DONE" then, their score will be highlighted for that game. The tournament winner is the player with the lowest total score over the series.

Example:
Three users ('abc' on 'xyzzy', 'def' on 'plugh', and 'ghi' on 'plover') wish to play a 5 game tournament starting with board 12345. Here are their command lines:

      'abc' types: xmahjongg -b 12345 -n 5 -p def@plugh -p ghi@plover
      'def' types: xmahjongg -b 12345 -n 5 -p abc@xyzzy -p ghi@plover
      'ghi' types: xmahjongg -b 12345 -n 5 -p def@plugh -p abc@xyzzy

Note that the players can be in any order on the command line and that the user does not list his/her own name on the command line.

SETUP MODE
Using the [ -s ] parameter allows a user to configure his/her own layout. If the [ -l ] parameter is used, then the output is written into the specified file, else the output is dumped to standard out. In setup mode, the left button will create a tile position where specified. Any other button will delete the specified tile position. The "DONE" option will dump the layout only if there are no more tiles to place. The "NEW" option will clear the board to start designing a new layout. The "SAME" option does not do anything. "QUIT", as usual, quits. The following example demonstrates setup mode:
    xmahjongg -s -l test    (this will create a layout called 'test')
    xmahjongg -l ./test    (this will play the just created layout)

FILES
/usr/games/xmahjongg    executable

AUTHOR
Copyright 1990 Jeff S. Young
<jsy@cray.com>
The tiles themselves are copyright 1988 by Mark A. Holm <tektronix!tessi!exc!markh>. His copyright notice is included in the source code.

BUGS
Doesn't use the Xdefault information.

No permanent score file.

You cannot have the same user name for two different players in a tournament.

Uses sockets for tournament mode.

Doesn't read the layout file in setup mode.